org.eclipse.handly.ui.callhierarchy

## Class CallTextInfo

- java.lang.Object
- - org.eclipse.handly.ui.callhierarchy.CallTextInfo

-     public final class CallTextInfo
      extends java.lang.Object

  Holds information about the text of a call, including the text range.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallTextInfo(java.lang.String callText, TextRange callRange, int lineNumber, ISnapshot snapshot)` Creates a new call text info object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextRange` | `getCallRange()` Returns the text range of the call.
    `java.lang.String` | `getCallText()` Returns the textual representation of the call.
    `int` | `getLineNumber()` Returns the line number of the call.
    `ISnapshot` | `getSnapshot()` Returns the snapshot on which the call text info is based.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallTextInfo

          public CallTextInfo(java.lang.String callText,
                              TextRange callRange,
                              int lineNumber,
                              ISnapshot snapshot)

      Creates a new call text info object.
      Parameters:
        `callText` - the text of the call (not `null`)
        `callRange` - the text range of the call, or `null` if unknown
        `lineNumber` - the 0-based line number of the call, or `ICallLocation.UNKOWN_LINE_NUMBER` if unknown
        `snapshot` - the base snapshot for the call text info, or `null` if unknown

  - ### Method Detail

    - #### getCallText

          public java.lang.String getCallText()

      Returns the textual representation of the call.
      Returns:
        the text of the call (never `null`)

    - #### getCallRange

          public TextRange getCallRange()

      Returns the text range of the call.
      Returns:
        the text range of the call, or `null` if unknown

    - #### getLineNumber

          public int getLineNumber()

      Returns the line number of the call. Note that the first line has the line number 0.
      Returns:
        the zero-based line number of the call, or `ICallLocation.UNKOWN_LINE_NUMBER` if unknown

    - #### getSnapshot

          public ISnapshot getSnapshot()

      Returns the snapshot on which the call text info is based.
      Returns:
        the base snapshot for the call text info, or `null` if unknown

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0